Delete System Chat Message
DELETE /obp/v7.0.0/chat-rooms/CHAT_ROOM_ID/messages/CHAT_MESSAGE_ID
OBPv6.0.0-deleteSystemChatMessage No role required Chat
Soft-delete a message in a system-level chat room. The sender can delete their own messages, or a participant with can_delete_message permission can delete any message.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
CHAT_MESSAGE_ID: CHAT_MESSAGE_ID
CHAT_ROOM_ID: CHAT_ROOM_ID
JSON response body fields (0)
Possible errors (6)
- OBP-20001: User not logged in. Authentication is required!
- OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.
- OBP-39004: Current user is not a participant of this Chat Room.
- OBP-39005: Chat Message not found. Please specify a valid value for CHAT_MESSAGE_ID.
- OBP-39010: You do not have permission to delete this message.
- OBP-50000: Unknown Error.